# ej2-angular-inplace-editor

![ej2-angular-inplace-editor](https://ej2.syncfusion.com/products/images/inplace-editor/readMe.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at [https://www.syncfusion.com/sales/products](https://www.syncfusion.com/sales/products) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free [community license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `In-place Editor` and its dependent packages, use the following command.

```sh
npm install @syncfusion/ej2-angular-inplace-editor
```

## Resources

* [Getting Started](https://ej2.syncfusion.com/angular/documentation/inplace-editor/getting-started.html?lang=typescript&utm_source=npm&utm_campaign=inplace-editor)
* [View Online Demos](https://ej2.syncfusion.com/angular/demos/?utm_source=npm&utm_campaign=inplace-editor#/material/inplace-editor/default.html)
* [Product Page](https://www.syncfusion.com/angular-ui-controls/inplace-editor)

## Supported Frameworks

In-place Editor component is also offered in following list of frameworks.

1. [React](https://github.com/syncfusion/ej2-react-ui-components/tree/master/components/inplace-editor)
2. [VueJS](https://github.com/syncfusion/ej2-vue-ui-components/tree/master/components/inplace-editor)
3. [JavaScript (ES5)](https://www.syncfusion.com/javascript-ui-controls/inplace-editor)
3. [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls/inplace-editor)
4. [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls/inplace-editor)
5. [JavaScript (ES5)](https://www.syncfusion.com/javascript-ui-controls/inplace-editor)

## Key Features

*  **Render mode** - Provides two types of rendering modes when editing the input, namely “Inline” and “Popup”.
*  **Component integration** - Support to integrate components such as “DropDownList”, “DatePicker”,” AutoComplete”, etc. to the In-place Editor.
*  **Data binding**  - Bind the In-place Editor component with an array of JSON objects or DataManager to save the edited data to the server.
*  **Customization**  - Offers UI customization such as popup, buttons, and also denotes editable content state.
*  **Template**  - Templates can be used to integrate custom controls to the In-place Editor.
*  **Globalization**  - Provides right to left and localization support.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=inplace-editor) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_campaign=inplace-editor).
* New [GitHub issue](https://github.com/syncfusion/ej2-javascript-ui-controls/issues/new).
* Ask your query in Stack Overflow with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/license?utm_source=npm&utm_campaign=inplace-editor).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-javascript-ui-controls/blob/master/controls/inplace-editor/CHANGELOG.md?utm_source=npm&utm_campaign=inplace-editor)


© Copyright 2025 Syncfusion<sup>®</sup> Inc. All Rights Reserved. The Syncfusion<sup>®</sup> Essential Studio<sup>®</sup> license and copyright applies to this distribution.